Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.util
[Groovy] Class TypeConvertingMap

    java.lang.Object
      org.codehaus.groovy.grails.web.util.TypeConvertingMap

    class TypeConvertingMap

An category for use with maps that want type conversion capabilities Type converting maps have no inherent ordering. Two maps with identical entries but arranged in a different order internally are considered equal.

Authors:
  Graeme Rocher

Since:
  1.2

Field Summary
`protected java.util.Map` | `wrappedMap`

Constructor Summary
`TypeConvertingMap()`
`TypeConvertingMap(java.util.Map map)`

Method Summary
`void` | `clear()`
`boolean` | `containsKey(java.lang.Object k)`
`boolean` | `containsValue(java.lang.Object v)`
`java.util.Set` | `entrySet()`
`boolean` | `equals(java.lang.Object that)`
`java.lang.Object` | `get(java.lang.Object k)`
`java.lang.Boolean` | `getBoolean(java.lang.String name)` Helper method for obtaining float value from parameter
`java.lang.Byte` | `getByte(java.lang.String name)` Helper method for obtaining integer value from parameter
`java.lang.Double` | `getDouble(java.lang.String name)` Helper method for obtaining double value from parameter
`java.lang.Float` | `getFloat(java.lang.String name)` Helper method for obtaining float value from parameter
`java.lang.Integer` | `getInt(java.lang.String name)` Helper method for obtaining integer value from parameter
`java.util.List` | `getList(java.lang.String name)` Helper method for obtaining a list of values from parameter
`java.lang.Long` | `getLong(java.lang.String name)` Helper method for obtaining long value from parameter
`java.lang.Short` | `getShort(java.lang.String name)` Helper method for obtaining short value from parameter
`int` | `hashCode()`
`boolean` | `isEmpty()`
`java.util.Set` | `keySet()`
`java.lang.Object` | `put(java.lang.Object k, java.lang.Object v)`
`void` | `putAll(java.util.Map m)`
`java.lang.Object` | `remove(java.lang.Object o)`
`int` | `size()`
`java.util.Collection` | `values()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### wrappedMap

    protected java.util.Map wrappedMap

Constructor Detail

### TypeConvertingMap

    TypeConvertingMap()

### TypeConvertingMap

    TypeConvertingMap(java.util.Map map)

Method Detail

### clear

    void clear()

### containsKey

    boolean containsKey(java.lang.Object k)

### containsValue

    boolean containsValue(java.lang.Object v)

### entrySet

    java.util.Set entrySet()

### equals

    boolean equals(java.lang.Object that)

### get

    java.lang.Object get(java.lang.Object k)

### getBoolean

    java.lang.Boolean getBoolean(java.lang.String name)

  Helper method for obtaining float value from parameter
  Parameters:
    `name` - The name of the parameter
  Returns:
    The double value or null if there isn't one

### getByte

    java.lang.Byte getByte(java.lang.String name)

  Helper method for obtaining integer value from parameter
  Parameters:
    `name` - The name of the parameter
  Returns:
    The integer value or null if there isn't one

### getDouble

    java.lang.Double getDouble(java.lang.String name)

  Helper method for obtaining double value from parameter
  Parameters:
    `name` - The name of the parameter
  Returns:
    The double value or null if there isn't one

### getFloat

    java.lang.Float getFloat(java.lang.String name)

  Helper method for obtaining float value from parameter
  Parameters:
    `name` - The name of the parameter
  Returns:
    The double value or null if there isn't one

### getInt

    java.lang.Integer getInt(java.lang.String name)

  Helper method for obtaining integer value from parameter
  Parameters:
    `name` - The name of the parameter
  Returns:
    The integer value or null if there isn't one

### getList

    java.util.List getList(java.lang.String name)

  Helper method for obtaining a list of values from parameter
  Parameters:
    `name` - The name of the parameter
  Returns:
    A list of values

### getLong

    java.lang.Long getLong(java.lang.String name)

  Helper method for obtaining long value from parameter
  Parameters:
    `name` - The name of the parameter
  Returns:
    The long value or null if there isn't one

### getShort

    java.lang.Short getShort(java.lang.String name)

  Helper method for obtaining short value from parameter
  Parameters:
    `name` - The name of the parameter
  Returns:
    The short value or null if there isn't one

### hashCode

    int hashCode()

### isEmpty

    boolean isEmpty()

### keySet

    java.util.Set keySet()

### put

    java.lang.Object put(java.lang.Object k, java.lang.Object v)

### putAll

    void putAll(java.util.Map m)

### remove

    java.lang.Object remove(java.lang.Object o)

### size

    int size()

### values

    java.util.Collection values()

Groovy Documentation